package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.dailycleandisinfectrecord.ElderlyDailyCleanDisinfectRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.dailycleandisinfectrecord.ElderlyDailyCleanDisinfectRecordRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.dailycleandisinfectrecord.ElderlyDailyCleanDisinfectRecordSaveReqVO;

public interface ElderlyDailyCleanDisinfectRecordService {

    Long create(ElderlyDailyCleanDisinfectRecordSaveReqVO createReqVO);

    void update(ElderlyDailyCleanDisinfectRecordSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyDailyCleanDisinfectRecordRespVO get(Long id);

    PageResult<ElderlyDailyCleanDisinfectRecordRespVO> getPage(ElderlyDailyCleanDisinfectRecordPageReqVO pageReqVO);
}
